#!/bin/perl
#
# apache2sites.pl - convert apache logs to "sites" for use by Fastburden.
#		
# This can be handy to performance tune Apache servers, by using an access_log
# file and replaying it using Fastburden to generate test traffic.
#
# USAGE:
#	./apache2sites.sh access_log > sites
#
# WARRANTY: This program is free software, use at your own risk.
#  For more details see COPYRIGHT at the top of fastburden.c
#
# 01-Dec-2003	Brendan Gregg	Created this.


if ( @ARGV == 0 ) {
	print "USAGE:\n\t./apache2sites.sh access.log > sites\n";
	exit 1;
}

$infile = $ARGV[0];
open (FILE,$infile) || die "ERROR1: Can't open $infile, $!\n";

while ($line = <FILE>) {
	($site) = $line =~ /"\S*\s*(\S*)/;
	print "$site\n";
}

close FILE;

