#!/bin/sh
#
# squid2sites.sh - convert squid logs to "sites" for use by Fastburden.
#		
# This can be handy to performance tune Squid servers, by using an access.log
# file and replaying it using Fastburden to generate test traffic.
#
# USAGE:
#	./squid2sites.sh access.log > sites
#
# WARRANTY: This program is free software, use at your own risk.
#  For more details see COPYRIGHT at the top of fastburden.c
#
# 01-Dec-2003	Brendan Gregg	Created this.


if [ $# -eq 0 ]; then
	echo "USAGE:\n\t./squid2sites.sh access.log > sites"
	exit 1
fi

infile=$1


while read a1 a2 a3 a4 a5 a6 site a7
do
	echo $site
done < $infile


# (Using this program isn't necessary - it's a one liner in awk, perl, cut...)

